%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Timer plugin for the Xfce panel
Name:		xfce4-timer-plugin
Version:	1.7.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-timer-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
#BuildRequires:	xfce4-dev-tools
BuildRequires:	intltool
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
Requires:	xfce4-panel

%description
Timer panel plugin for the Xfce Desktop Environment.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog AUTHORS README*
%{_libdir}/xfce4/panel/plugins/libxfcetimer.so
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_iconsdir}/hicolor/*/apps/xfce4-timer-plugin.{png,svg}


%changelog
* Wed Dec 25 2024 wally <wally> 1.7.3-1.mga10
+ Revision: 2130092
- new version 1.7.3

* Sat Apr 22 2023 wally <wally> 1.7.2-1.mga9
+ Revision: 1954058
- new version 1.7.2

* Mon Apr 04 2022 umeabot <umeabot> 1.7.1-2.mga9
+ Revision: 1843137
- Mageia 9 Mass Rebuild

* Fri Jul 24 2020 wally <wally> 1.7.1-1.mga8
+ Revision: 1608697
- new version 1.7.1

* Fri Feb 14 2020 umeabot <umeabot> 1.7.0-3.mga8
+ Revision: 1518658
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.7.0-2.mga7
+ Revision: 1301888
- Mageia 7 Mass Rebuild

* Thu Jan 25 2018 wally <wally> 1.7.0-1.mga7
+ Revision: 1196943
- new version 1.7.0
- switch to gtk3

* Tue Feb 09 2016 umeabot <umeabot> 1.6.0-5.mga6
+ Revision: 952566
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 1.6.0-4.mga5
+ Revision: 817458
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-3.mga5
+ Revision: 742591
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.0-2.mga5
+ Revision: 690636
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 wally <wally> 1.6.0-1.mga5
+ Revision: 671035
- rediff str fmt patch
- new version 1.6.0

* Sat Oct 19 2013 umeabot <umeabot> 1.5.0-2.mga4
+ Revision: 523769
- Mageia 4 Mass Rebuild

* Fri May 24 2013 wally <wally> 1.5.0-1.mga4
+ Revision: 426892
- new version 1.5.0

* Thu May 23 2013 wally <wally> 1.0.2-1.mga4
+ Revision: 425244
- new version 1.0.2
- add str fmt patch

* Wed Feb 27 2013 wally <wally> 1.0.0-1.mga3
+ Revision: 400524
- new version 1.0.0
- drop unneeded patches

* Mon Jan 14 2013 umeabot <umeabot> 0.6.4-6.mga3
+ Revision: 386872
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 0.6.4-5.mga3
+ Revision: 338206
- add patch to fix build with automake 1.13
- fix file list after %%_libexecdir change

* Tue Sep 04 2012 wally <wally> 0.6.4-4.mga3
+ Revision: 288177
- add fixes to add_pbar from upstream git

* Sun Jun 17 2012 wally <wally> 0.6.4-3.mga3
+ Revision: 261127
- port to libxfce4ui (patch originally from PLD Linux)

* Tue May 29 2012 wally <wally> 0.6.4-2.mga3
+ Revision: 249334
- rebuild for new libxfce4util
- clean .spec

* Thu Feb 09 2012 wally <wally> 0.6.4-1.mga2
+ Revision: 206732
- new version 0.6.4

* Sat Jan 14 2012 wally <wally> 0.6.3-1.mga2
+ Revision: 196024
- new version 0.6.3
- clean .spec
- imported package xfce4-timer-plugin


* Tue Jun 28 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-1mdv2011.0
+ Revision: 687930
- update to new version 0.6.2

  + Matthew Dawkins <mattydaw@mandriva.org>
    - added missing BR

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-4mdv2010.1
+ Revision: 543441
- rebuild for mdv 2010.1

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 0.6.1-3mdv2010.0
+ Revision: 446152
- rebuild

* Fri Mar 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-2mdv2009.1
+ Revision: 349482
- rebuild for xfce-4.6.0

* Fri Nov 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2009.1
+ Revision: 305526
- update to new version 0.6.1
- fix url for source
- drop patch 1, useless imho

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6-5mdv2009.1
+ Revision: 295031
- rebuild for new Xfce4.6 beta1

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.6-3mdv2009.0
+ Revision: 256984
- rebuild

* Wed Dec 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6-1mdv2008.1
+ Revision: 137828
- new version
- new license policy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-3mdv2008.1
+ Revision: 110141
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- do not package COPYING file
- add README file to the docs
- use upstream name
- spec file clean

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-1mdv2008.0
+ Revision: 30439
- update url
- spec file clean
- new version

